Package org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Cloneable`, `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder
      extends com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addAllMapEntry​(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry> values)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addAllTimerInstanceId​(Iterable<? extends Long> values)` | `repeated int64 timer_instance_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addMapEntry​(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addMapEntry​(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addMapEntry​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addMapEntry​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder` | `addMapEntryBuilder()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder` | `addMapEntryBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addTimerInstanceId​(long value)` | `repeated int64 timer_instance_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `build()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `buildPartial()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clear()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clearMapEntry()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clearRuleFlowGroup()` | `optional string rule_flow_group = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clearTimerInstanceId()` | `repeated int64 timer_instance_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clone()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry` | `getMapEntry​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder` | `getMapEntryBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder>` | `getMapEntryBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `int` | `getMapEntryCount()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry>` | `getMapEntryList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder` | `getMapEntryOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder>` | `getMapEntryOrBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `String` | `getRuleFlowGroup()` | `optional string rule_flow_group = 3;`
    `com.google.protobuf.ByteString` | `getRuleFlowGroupBytes()` | `optional string rule_flow_group = 3;`
    `long` | `getTimerInstanceId​(int index)` | `repeated int64 timer_instance_id = 1;`
    `int` | `getTimerInstanceIdCount()` | `repeated int64 timer_instance_id = 1;`
    `List<Long>` | `getTimerInstanceIdList()` | `repeated int64 timer_instance_id = 1;`
    `boolean` | `hasRuleFlowGroup()` | `optional string rule_flow_group = 3;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `mergeFrom​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode other)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `removeMapEntry​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setMapEntry​(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setMapEntry​(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setRuleFlowGroup​(String value)` | `optional string rule_flow_group = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setRuleFlowGroupBytes​(com.google.protobuf.ByteString value)` | `optional string rule_flow_group = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setTimerInstanceId​(int index, long value)` | `repeated int64 timer_instance_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### clone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### setField

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                               Object value)

      Specified by:
        `setField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### clearField

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

      Specified by:
        `clearField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### clearOneof

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

      Specified by:
        `clearOneof` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### setRepeatedField

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                                       int index,
                                                                                                       Object value)

      Specified by:
        `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### addRepeatedField

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                                       Object value)

      Specified by:
        `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder mergeFrom​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                         throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`
      Throws:
        `IOException`

    - #### getTimerInstanceIdList

          public List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Returns:
        A list containing the timerInstanceId.

    - #### getTimerInstanceIdCount

          public int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Returns:
        The count of timerInstanceId.

    - #### getTimerInstanceId

          public long getTimerInstanceId​(int index)

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Parameters:
        `index` - The index of the element to return.
      Returns:
        The timerInstanceId at the given index.

    - #### setTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setTimerInstanceId​(int index,
                                                                                                         long value)

      `repeated int64 timer_instance_id = 1;`
      Parameters:
        `index` - The index to set the value at.
        `value` - The timerInstanceId to set.
      Returns:
        This builder for chaining.

    - #### addTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addTimerInstanceId​(long value)

      `repeated int64 timer_instance_id = 1;`
      Parameters:
        `value` - The timerInstanceId to add.
      Returns:
        This builder for chaining.

    - #### addAllTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addAllTimerInstanceId​(Iterable<? extends Long> values)

      `repeated int64 timer_instance_id = 1;`
      Parameters:
        `values` - The timerInstanceId to add.
      Returns:
        This builder for chaining.

    - #### clearTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clearTimerInstanceId()

      `repeated int64 timer_instance_id = 1;`
      Returns:
        This builder for chaining.

    - #### getMapEntryList

          public List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry> getMapEntryList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
      Specified by:
        `getMapEntryList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

    - #### getMapEntryCount

          public int getMapEntryCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
      Specified by:
        `getMapEntryCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

    - #### getMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry getMapEntry​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
      Specified by:
        `getMapEntry` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

    - #### setMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setMapEntry​(int index,
                                                                                                  JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### setMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setMapEntry​(int index,
                                                                                                  JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### addMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addMapEntry​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### addMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addMapEntry​(int index,
                                                                                                  JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### addMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addMapEntry​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### addMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addMapEntry​(int index,
                                                                                                  JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### addAllMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addAllMapEntry​(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry> values)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### clearMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clearMapEntry()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### removeMapEntry

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder removeMapEntry​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### getMapEntryBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder getMapEntryBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### getMapEntryOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder getMapEntryOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
      Specified by:
        `getMapEntryOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

    - #### getMapEntryOrBuilderList

          public List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder> getMapEntryOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
      Specified by:
        `getMapEntryOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

    - #### addMapEntryBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder addMapEntryBuilder()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### addMapEntryBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder addMapEntryBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### getMapEntryBuilderList

          public List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder> getMapEntryBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

    - #### hasRuleFlowGroup

          public boolean hasRuleFlowGroup()

      `optional string rule_flow_group = 3;`
      Specified by:
        `hasRuleFlowGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Returns:
        Whether the ruleFlowGroup field is set.

    - #### getRuleFlowGroup

          public String getRuleFlowGroup()

      `optional string rule_flow_group = 3;`
      Specified by:
        `getRuleFlowGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Returns:
        The ruleFlowGroup.

    - #### getRuleFlowGroupBytes

          public com.google.protobuf.ByteString getRuleFlowGroupBytes()

      `optional string rule_flow_group = 3;`
      Specified by:
        `getRuleFlowGroupBytes` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
      Returns:
        The bytes for ruleFlowGroup.

    - #### setRuleFlowGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setRuleFlowGroup​(String value)

      `optional string rule_flow_group = 3;`
      Parameters:
        `value` - The ruleFlowGroup to set.
      Returns:
        This builder for chaining.

    - #### clearRuleFlowGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clearRuleFlowGroup()

      `optional string rule_flow_group = 3;`
      Returns:
        This builder for chaining.

    - #### setRuleFlowGroupBytes

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setRuleFlowGroupBytes​(com.google.protobuf.ByteString value)

      `optional string rule_flow_group = 3;`
      Parameters:
        `value` - The bytes for ruleFlowGroup to set.
      Returns:
        This builder for chaining.

    - #### setUnknownFields

          public final JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

    - #### mergeUnknownFields

          public final JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`